<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\BaseModel;

class AppUserTransaction extends BaseModel
{
    use HasFactory;

    protected $table = 'app_user_transaction';

    public function user(){
        return $this->hasOne(User::class, 'id', 'user_id');
    }
    public function financialTransaction(){
        return $this->hasOne(FinancialTransaction::class, 'id', 'related_transaction_id');
    }
    public function storeOrder(){
        return $this->hasOne(StoreOrder::class, 'id', 'store_order_id');
    }

}
